Skip to content

Cancel invoice

POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}/cancel

Cancel an invoice while still pre-dispatch. Once dispatch has started, issue a credit note instead.

invoice_id
required
Invoice Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
InvoiceCancelRequest

Cancel invoice request.

object
reason
required
Reason
string
>= 1 characters <= 500 characters
Examples

Request payload example

{
"reason": "string"
}

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}